{
        "name" : "DockerKillContainer",
        "displayName" : "DockerKillContainer",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.KillContainerWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerKillContainer.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"kill"
                ,"container"

            ],
                "isaction" : "true",
                "actiontitle" : "Kill Docker container",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "ContainerId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DockerInspectContainer",
        "displayName" : "DockerInspectContainer",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.InspectContainerWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerInspectContainer.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"inspect"
                ,"container"

            ],
                "isaction" : "true",
                "actiontitle" : "Inspect Docker container",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "ContainerId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "ContainerInfo",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DockerStartContainer",
        "displayName" : "DockerStartContainer",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.StartContainerWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerStartContainer.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"start"
                ,"container"

            ],
                "isaction" : "true",
                "actiontitle" : "Start Docker container",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "ContainerId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DockerStopContainer",
        "displayName" : "DockerStopContainer",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.StopContainerWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerStopContainer.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"stop"
                ,"container"

            ],
                "isaction" : "true",
                "actiontitle" : "Stop Docker container",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "ContainerId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DockerListContainers",
        "displayName" : "DockerListContainers",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.ListContainersWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerListContainers.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"list"
                ,"containers"

            ],
                "isaction" : "true",
                "actiontitle" : "List Docker containers",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "StatusFilter",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Containers",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DockerCreateContainer",
        "displayName" : "DockerCreateContainer",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.CreateContainerWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerCreateContainer.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"create"
                ,"container"

            ],
                "isaction" : "true",
                "actiontitle" : "Create Docker container",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "ContainerCommand",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ContainerImageName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ContainerName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ContainerHostName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ContainerBinds",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ContainerEnv",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ContainerPortBindings",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "ContainerId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DockerListImages",
        "displayName" : "DockerListImages",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.docker.ListImagesWorkitemHandler()",
        "documentation" : "docker-workitem/index.html",
        "module" : "docker-workitem",
        "icon" : "DockerListImages.png",
            "category" : "Docker",
            "description" : "Connect to and interact with a running Docker deamon",
            "keywords" : [
                                "Docker"
                ,"list"
                ,"images"

            ],
                "isaction" : "true",
                "actiontitle" : "List Docker images",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "ShowAll",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Images",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "docker-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
